This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 146593 - cups-config-daemon allows unprivileged user to create a print queue
cups-config-daemon allows unprivileged user to create a print queue
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hal-cups-utils (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-30 00:59 EST by Robert Nichols
Modified: 2013-03-13 00:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-31 10:26:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Nichols 2005-01-30 00:59:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
When a currently unconfigured USB printer is connected to the system,
a popup dialog appears prompting for the selection of a driver.  There
is no check for authorization.  An unprivileged user should not be
allowed to create a print queue.

Until this problem is corrected, cups-config-daemon should not be run
on any system where security of the printer configuration is a concern.


Version-Release number of selected component (if applicable):
hal-cups-utils-0.5.2-8

How reproducible:
Always

Steps to Reproduce:
1. Turn on or connect a currently unconfigured USB printer.


Additional info:
Comment 1 John (J5) Palmieri 2005-01-31 10:26:24 EST
I fail to see how this is any different from mounting a disk, burning
to a cd or attaching a camera to a computer.  Risk is limited and
behavior can be modified by a sysadmin.
Comment 2 Robert Nichols 2005-01-31 13:15:26 EST
When you unmount a disk or unplug a camera, the system goes back to
its previous state.  The added print queue, on the other hand,
persists until a system administrator removes it.
Comment 3 John (J5) Palmieri 2005-01-31 13:27:53 EST
Ah, that is a bug.

Note You need to log in before you can comment on or make changes to this bug.